
/*
#/////////////////////////////////////////////////////////////////////
#///Script PHP/MySQL/JS de reservation développé par C2script
#///SCRIPT C2calendrier TOUS DROITS RÉSERVÉS / UTILISATION SOUS LICENCE
#///https://www.c2script.com
#/////////////////////////////////////////////////////////////////////
*/






/* partie CSS optionelle: */
body {
	font-family:"Lucida Sans Unicode", "Lucida Grande", sans-serif;
	background:#C9931F;
	padding: 0 0 70px;
	margin: 0;
}
body::after {
	content:"C2calendrier 1.0 par C2script.com";
	color: #606060;
	text-align: center;
	display: block;
	font-family: arial;
	margin-top: 30px;
}
h1,h2 {
	font-size:30px;
	line-height:32px;
	text-align: center;
	color:#3C2C0B;
}
p{
	text-align: center;
}
h2{
	font-size:18px;
}
.tester_admin{
 position: fixed;
 bottom: 0;
 width: 100%;
 text-align: center;
 margin-bottom: 5px;
 z-index:5;
}
.tester_admin a {
 background: black;
 padding:5px 10px;
 display: inline-block;
 border-radius: 5px;
 color: yellow;
 text-decoration: none;
 font-size: 20px;
}


/* fin de la partie CSS optionelle: */





/* début de la partie obligatoire du CSS pour son utilisation (jusqu'à la fin du fichier) */


.C2cal_center {
 text-align:center;
}
/* reservation en cours */
.C2cal_coordonnees {
  display: flex;
  flex-wrap: wrap;
}
.C2cal_coordonnees > div {
  width: 100%;
  display: flex;
  justify-content: end;
  margin-bottom: 15px;
}
.C2cal_coordonnees > div > span {
  color: #888;
  margin-right: 10px;
}
.C2cal_coordonnees > div > input {
  border-radius:5px;
  border: 1px solid #888;
  min-height: 30px;
  width: 50%;
  color: #464646;
  padding: 0 10px;
}
.C2cal_coordonnees > div:nth-child(6),
.C2cal_coordonnees > div:nth-child(7)
 {
  justify-content: center;
  margin-top: 30px;
}
.C2cal_coordonnees > div:nth-child(1) > div:nth-child(2) {
 width: calc(50% + 22px);
}
.C2cal_coordonnees input[type=submit],
.C2cal_inputSubmit {
  min-height: 30px;
  width: 400px;
  background: #ec6f01;
  color: #fff;
  border: 1px solid #733703;
  cursor: pointer;
  border-radius: 5px;
  font-size: 17px;
	transition:0.2s;
	position:relative;
	display: inline-block;
	text-align: center;
	text-decoration: none;
}
.C2cal_coordonnees input[type=submit]:hover,
.C2cal_inputSubmit:hover {
  background: #fff;
  color: green;
  border: 1px solid green;
}
/*.C2cal_coordonnees input[type=submit]::after {
  background-image: linear-gradient(90deg,#1e8097 0%,#73e4ff 70%);
  content: "";
  width: calc(100% - 2px);
  height: 28px;
  display: block;
  position: absolute;
  top: 1px;
  left: 1px;
  background-repeat: repeat;
  border-radius: 4px 2px 2px 4px;
}*/
.recapitulatif_reservation h2{
	text-align:left;
}
.recapitulatif_reservation h2 b{
	font-weight:none;
	color:#ec6f01;
}

/* erreurs */
.C2cal_alerte,
.C2cal_bloc {
  box-shadow: 0px 2px 3px;
  background: #fff;
  max-width: 600px;
  margin: 35px auto;
  padding: 30px;
  border-radius: 15px;
}
.C2cal_alerte-vert {
  border: 1px solid green;
}
.C2cal_alerte-rouge {
  border: 1px solid red;
}

/* horloge */
.C2cal_horloge {
 height: 64px;
 width: 64px;
 position: relative;
}
.C2cal_horloge div:nth-child(1) {
 height: 64px;
 width: 64px;
 border-radius:50%
}
.C2cal_horloge div:nth-child(2) {
 height: 64px;
 width: 64px;
 position: absolute;
 left: 0;
 top: 0;
 background: url(../images/horloge.png);
 display:flex;
 align-items: center;
}
.C2cal_horloge div:nth-child(2) span {
	text-align: center;
	font-size: 12px;
	background: #ffffff85;
	border: 1px solid #156d7b;
	border-radius: 4px;
	padding: 3px;
	color: #0a373e;
}
.C2cal_horloge div.C2cal_pasDhorloge {
	background:none;
}
.C2cal_horloge div.C2cal_pasDhorloge span {
	width:90%;
	height: 90%;
	display: flex;
	align-items: center;
	justify-content: center;
}

/* bouton fermer */
.C2cal_Close {
	width:20px!important;
	height:20px;
	background:white url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAUCAYAAACNiR0NAAACiUlEQVQ4jZWUy0ocURCGDy50E/M040kICcHuQWPUEAKGiOLCy3sMCbhOQHCXkCxb7Kre9MqqQ+iqgy/gVhnUbbxMNzjjYrIYZ+y5KMm/PJev6/+r+hgzQmmaTiD7tdhJDKx1JGkhSQtY68B+H5yupmk6MerukBKnn4D1HEkvYs6+J+zXgXQGSGfAyQaS/kCWy5jlDFg+Pgiq1dpj6PwukrSAtBY59+TBj4pMJiyfkaSFLDu1Wnts6BA6vwukf5D8i3+yYoyJnbxE0gtk2Rmy2cnp32G9Qg7kFZDeJuSXjDGdBgDrOZDWuoeK0L7PQ/s7r9rZQUBRtfPFtM2K6efvumvg9AtSdhpFR+MG2a8h6UU5szy0v/PQthuBbRahXejBpp+/awS2mYe2nYcV7jkUmQSWq8TJiomdxDFn38tV5FU7273YCGyzCKYWy7BGYG/y6lS1L0+WnzFlewZY6wn79SFroV0oQ/tg4dSboSydbCLJibkbk5lRgRfB1OK9xQ6sCCpzo84C6QyyNB8H9mV2B6za+UeBwFoHJxuPwRqBvelYfRiakG4B+2MD7PeR9EcfrGrny7AiqMzdrd3cN6V/pJD1FzqNDDhdRZbLRGTyvjqbjWpAGVoemzQ9fAqk10B+2aRpOhGznCUsn8t287DCg6NhTGek8rDCxfSzt7382G8Daz2KjsbvFuQjkrRiJy9HBf6YYvavgfQ2YfnQt4EsO0h6gQfy6n9gyHKJB9m3oc1arT2GLDtAegtOv5QzHVSaHj4F9ttAegukX0c+X10l5JeQslNguYpZfqKTze4Dm5BuIesvIL3u/GEDNh9SFB2NJ05WYsr2kOQEWZrI0gT2x+g0AvLLvQYM6C8oPBR8+DMuhAAAAABJRU5ErkJggg==);
	cursor:pointer;
	position: absolute;
	top: -5px;
	right: -5px;
	border-radius: 20px;
	z-index:2;
}

.C2cal_Pagination {
	font-family:arial,sans-serif;
	display:flex;
	justify-content: center;
	font-size:30px;
	padding:15px;
	margin:30px auto;
	background:linear-gradient(white,#999);
	border-radius: 13px;
	box-shadow: 0px 2px 2px #606060;
	max-width: 800px;
}
.C2cal_Pagination div {
	display: flex;
	flex-grow: 1;
	justify-content: center;
	text-align: center;
	align-items: center;
}
.C2cal_Pagination div:nth-child(2) {
	text-shadow: 0px 1px 1px #e8e8e8,0px -1px 1px #3e3e3e;
	color: #7d7d7d;
}
.C2cal_Pagination a,
.C2cal_BtnSubmit,
.C2cal_btn {
	font-size:50%;
	text-decoration:none;
	background:linear-gradient(#156d7b,#104f59);
	border-radius:29px;
	padding:15px;
	margin:5px;
	display: flex;
	flex-grow: 1;
	justify-content: center;
	color: #ddd;
	text-shadow: -1px -1px 0px #404040;
	font-weight: bold;
	text-transform: uppercase;
	box-shadow: 0 0 20px #fff,0 3px 2px #000;
}
.C2cal_BtnSubmit,#C2cal_chargerPlus {
	margin: 10px  auto;
	font-size: 20px;
	cursor: pointer;
}
#C2cal_chargerPlus {
	font-family:arial,sans-serif;
	max-width: 300px;
	text-align: center;
}
.C2cal_Pagination a:hover,
.C2cal_BtnSubmit:hover,
.C2cal_btn:hover,
#C2cal_chargerPlus:hover {
	background:linear-gradient(#20aec6,#16636f);
	text-shadow: -1px -1px 0px #6f6f6f;
	box-shadow: 0 3px 2px #000;
	color: #e3e3e3;
}
.C2cal_btn {font-size:100%}
.C2calendrier a.C2cal_Lien:link,
.C2calendrier a.C2cal_Lien:active,
.C2calendrier a.C2cal_Lien:visited,
.C2calendrier2 span.C2cal_Lien{
	font-size:14px;
	text-decoration:none;
	text-shadow:0px 0px 2px black;
	color:#fff;
	font-weight:bold;
}
.C2calendrier-zone-libre{
	background-color:#156d7b!important;
}
.C2calendrier-zone-reservee{
	background-color:#ea5151 !important;
	color: #eee;
}
.C2calendrier-zone-grise{
	background:#ddd;
}
.C2calendrier-zone-libre,
.C2calendrier-zone-reservee,
.C2calendrier-zone-grise{
	display: -ms-flexbox!important;
	display: flex!important;
	align-items: center;
	justify-content: center;
}
div.C2cal_active span {
 background: #64ff4e3d;
 padding: 2px 10px;
 border-radius: 5px;
 border: 1px solid;
 color: #279127;
}
.C2cal_Plages,
.C2cal_PlageHoraireInfos
 {
  border-bottom: 1px solid #ccc;
}
#C2calendrier,#C2calendrier *{
	box-sizing:border-box;
	font-family:arial,sans-serif;
}
#C2calendrier {
	max-width:800px;
	margin:0 auto;
}
#C2calendrier *{
	cursor:default;
}
.C2calendrier {
	display: -ms-flexbox;
	display:flex;
	flex-wrap: wrap;
	margin-bottom: 30px;
	box-shadow:0px 25px 17px -20px black;
}
.C2calendrier a.C2cal_Lien,.C2calendrier2 span.C2cal_Lien{
	display: -ms-flexbox;
	display: flex;
	width: 100%;
	height: 100%;
	align-items: center;
	justify-content: center;
	transition:background-color 0.5s ease-in-out;
	position:relative;
}
.C2calendrier a.C2cal_Lien:hover,.C2calendrier2 span.C2cal_Lien:hover {
	background-color:#208e9f;
	box-shadow: 0 0 5px black;
	z-index: 1;
	border-radius: 50%;
	font-size:0;
}
.C2calendrier a.C2cal_Lien:hover::after,.C2calendrier2 span.C2cal_Lien:hover::after {
	content:attr(data-title);
	font-size:16px;
}
.C2cal_JourNonPossible{
	color:#ccc;
}
.C2cal_PlusPossible {
	color:#888;
	font-size:12px;
	font-style: italic;
}
.C2cal_PlusPossible span {
	color:#ccc;
}
.C2cal_JoursDivSurMobile{
	display:none!important;
}
.C2cal_JoursDiv,.C2cal_PlagesDiv{
	display: -ms-flexbox;
	display:flex;
	flex-direction:row;
	width: 100%;
	text-align:center;
	/* border-bottom: 1px solid; */
}
.C2cal_JoursDiv div,.C2cal_PlagesDiv div{
	display: -ms-flexbox;
	display:flex;
	justify-content: center;
	width:100%;
}
.C2cal_PlagesDiv:hover{
	box-shadow: 0 1px 5px #0006;
	z-index: 2;
}
.C2cal_LignesHover_Ver,.C2cal_LignesHover_Hor{
	background:#208e9f!important;
	color:white;
}
.C2cal_Jours > div{
	width: 100%;
	background-color:#fff;
	justify-content: center;
	align-items:center;
}
.C2cal_Plages > div{
	width: 100%;
	background-color:#eee;
	justify-content: center;
}
.C2cal_PlageHoraireInfos{
	width:70px!important;
	height: 72px;
	align-items: center;
	background-color:white;
}
.C2cal_CarreVide{
	width:70px!important;
	height: 60px;
	align-items: center;
}
@media (max-width:800px){
	.C2cal_Pagination {
		flex-wrap: wrap;
	}
	.C2cal_Pagination div:nth-child(2) {
		order:-1;
		flex-basis: 100%;
	}
	.C2cal_FlecheGauche a:nth-child(1) {
		order:2;
	}
	.C2cal_FlecheGauche a:nth-child(2) {
		order:1;
	}
	.C2cal_Pagination div {
		flex-wrap:wrap;
	}
	.C2calendrier {
		margin-bottom: 100px;
	}
	.C2cal_PlageHoraireInfos {
		position:sticky;
		top:-4px;
		/* border: 1px solid #aaa; */
		box-shadow: 0 0 4px black;
		width: 100% !important;
		border-radius: 4px;
	}
	.C2cal_JoursDiv {
		display:none;
	}
	.C2cal_JoursDivSurMobile {
		display: -ms-flexbox;
		display:flex!important;
	}
	.C2cal_PlagesDiv {
		flex-direction: row-reverse;
		margin-top: 30px;
	}
	.C2cal_PlagesDiv div{
		flex-direction:column;
	}
	.C2cal_Jours > div,.C2cal_Plages > div {
		height: 50px;
		/* border-bottom: 1px solid; */
	}
	.C2cal_PlagesDiv:hover {
		box-shadow: unset;
	}
	/* admin */
	#C2cal_form input[type=text]{
		width:80%;
	}
}








/* reservations intervalle */

#C2calendrier2,#C2calendrier2 *{
	box-sizing:border-box;
	font-family:arial,sans-serif;
}
#C2calendrier2{
	cursor:default;
  display: flex;
  justify-content: center;
}
.C2calendrier2 {
  text-align: center;
  margin-bottom:30px;
}
.C2cal_CarreVide2{
	width:100px;
	height: 50px;
	align-items: center;
}
.C2cal_PlageHoraireInfos2 {
	display: flex;
	width:100px;
	height: 100px;
	align-items: center;
	background-color:white;
	justify-content: center;
}
.C2cal_JoursDiv2 {
  display: flex;
  padding: 0.5px 10px;
 position: sticky;
 top: -1px;
 z-index: 3;
}
.C2cal_JoursDiv2 > div:nth-child(2) {
  display: flex;
  flex-grow: 1;
 box-shadow: 0 10px 10px -10px;
}
.C2cal_JoursDiv2 > div:nth-child(2) div {
  display: flex;
  flex-grow: 1;
  align-items: center;
  justify-content: center;
  background: #fff;
  border-right: 1px solid #ccc;
}
.C2cal_Jours2 {
  display: flex;
  box-shadow: 0 12px 8px -10px #313131;
  margin: 1px 10px;
}

.C2cal_Jours2 div {
  width: 100px;
  text-align: center;
}


#C2cal_Validateur *{
	font-family:arial,sans-serif;
}
#C2cal_Validateur {
	display:none;
	position: sticky;
	top: -1px;
	background: #fff;
	text-align: center;
	padding: 10px 50px 20px;
	z-index:4;
	margin: 0 10px 30px;
	border-radius: 0 0 50% 50%;
	box-shadow: 0 2px 5px #222;
	border-top: 1px solid #222;
}
#C2cal_Validateur span {
	font-style:italic;
	color:#888;
}
#C2cal_Validateur a {
	display:inline-block;
	margin-top:10px;
	color:#fff;
	background:linear-gradient(#1d9aae,#156d7b);
	border:1px outset #11515b;
	padding:5px 10px;
	border-radius: 5px;
	text-decoration: none;
}
